# ``igraph`.`seq``

module documentation
(source)

Undocumented

Function | `_add_proxy_methods` | Undocumented
Function | `_graphmethod` | Auxiliary decorator

def _add_proxy_methods(): (source)

Undocumented

def _graphmethod(func=None, name=None): (source)

Auxiliary decorator

This decorator allows some methods of `VertexSeq` and `EdgeSeq` to call their respective counterparts in `Graph` to avoid code duplication.

Parameters
func | the function being decorated. This function will be called on the results of the original `Graph` method. If `None`, defaults to the identity function.
name | the name of the corresponding method in `Graph`. If `None`, it defaults to the name of the decorated function.

Returns
the decorated function